- Main Page
- Modules
- Namespaces
- Classes
- Files

# mixer.h File Reference

`#include <glibmm.h>`
`#include <gst/interfaces/mixer.h>`
`#include <gst/interfaces/mixeroptions.h>`
`#include <gstreamermm/mixertrack.h>`
`#include <gstreamermm/message.h>`
`#include <glibmm/interface.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::Mixer
| Gst::Mixer - Interface for elements that provide mixer operations. More...
class | Gst::MessageMixerMuteToggled
| A mute-toggled Gst::Mixer message. More...
class | Gst::MessageMixerRecordToggled
| A record-toggled Gst::Mixer message. More...
class | Gst::MessageMixerVolumeChanged
| A volume-changed Gst::Mixer message. More...
class | Gst::MessageMixerOptionChanged
| An option-changed Gst::Mixer message. More...
class | Gst::MessageMixerOptionsListChanged
| An option-list-changed Gst::Mixer message, osted when the list of available options for a GstMixerOptions object has changed (Since: 0.10.18). More...
class | Gst::MessageMixerChanged
| A mixer-changed Gst::Mixer message, posted when the list of available mixer tracks has changed. More...
## Enumerations
enum | Gst::MixerType { Gst::MIXER_HARDWARE, Gst::MIXER_SOFTWARE }
enum | Gst::MixerFlags { Gst::MIXER_FLAG_NONE = 0, Gst::MIXER_FLAG_AUTO_NOTIFICATIONS = 1<<0, Gst::MIXER_FLAG_HAS_WHITELIST = 1<<1, Gst::MIXER_FLAG_GROUPING = 1<<2 }
| Bitwise operators: `MixerFlags operator|(MixerFlags, MixerFlags)` `MixerFlags operator&(MixerFlags, MixerFlags)` `MixerFlags operator^(MixerFlags, MixerFlags)` `MixerFlags operator~(MixerFlags)` `MixerFlags& operator|=(MixerFlags&, MixerFlags)` `MixerFlags& operator&=(MixerFlags&, MixerFlags)` `MixerFlags& operator^=(MixerFlags&, MixerFlags)` More...
enum | Gst::MixerMessageType { Gst::MIXER_MESSAGE_INVALID, Gst::MIXER_MESSAGE_MUTE_TOGGLED, Gst::MIXER_MESSAGE_RECORD_TOGGLED, Gst::MIXER_MESSAGE_VOLUME_CHANGED, Gst::MIXER_MESSAGE_OPTION_CHANGED, Gst::MIXER_MESSAGE_OPTIONS_LIST_CHANGED, Gst::MIXER_MESSAGE_MIXER_CHANGED }
## Functions
MixerFlags | Gst::operator| (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator& (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator^ (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator~ (MixerFlags flags)
MixerFlags& | Gst::operator|= (MixerFlags& lhs, MixerFlags rhs)
MixerFlags& | Gst::operator&= (MixerFlags& lhs, MixerFlags rhs)
MixerFlags& | Gst::operator^= (MixerFlags& lhs, MixerFlags rhs)